Agda-2.8.0: A dependently typed functional programming language and proof assistant

Safe Haskell | None
Language | Haskell2010

Agda.Setup.DataFiles

Description

The list of data files Agda uses.

Because of TemplateHaskell state restrictions, this cannot be define in '`Setup'`.

Synopsis

- dataPath :: FilePath -> FilePath
- dataFiles :: [FilePath]
- emacsModeDir :: FilePath
- emacsLispFiles :: [FilePath]

# Documentation

dataPath :: FilePath -> FilePath Source #

A data file path relative to the project root.

dataFiles :: [FilePath] Source #

Agda's embedded data files.

emacsModeDir :: FilePath Source #

The subdirectory in the Agda data directory containing the emacs mode.

emacsLispFiles :: [FilePath] Source #

The Agda mode's Emacs Lisp files, given in the order in which they should be compiled.